#ifndef XGLYPH_H
#define XGLYPH_H

#include "xasset.h"

class XGlyph : public XAsset
{
public:
    explicit XGlyph();
    ~XGlyph();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    quint32 mLetter;
    char mX0;
    char mY0;
    quint8 mDx;
    quint8 mPixelWidth;
    quint8 mPixelHeight;
    float mS0;
    float mT0;
    float mS1;
    float mT1;
};

#endif // XGLYPH_H
